body {
	margin: 0;
	font-family: "Trebuchet MS", Helvetica, sans-serif;
}

h3, h4 {
    color: #004C11;
}

a {
    text-decoration: none;
}

header {
    width: 100%;
    height: 58px;
    left: 0;
    top: 0;
    position: fixed;
    background-color: white;
    z-index: 50;
	box-shadow: 0 2px 3px rgba(0,0,0,.5);
}
#logoATADIN {
    position: absolute;
    left: 3px;
    top: 3px;
    width: 50px;
}
.h1Principal {
    position: absolute;
    top: 7px;
    left: 60px;
    color: #25873B;
}
#botaoAbreMenu {
    position: absolute;
    padding: 15px;
    height: 100%;
    background-color: white;
    border: 0;
    top: 0;
    right: 0;
    border-radius: 0;
    cursor: pointer;
}
#botaoAbreMenu :not(:first-child){
    margin-top: 6px;
}
.barsIcon {
    width: 30px;
    height: 4px;
    border-radius: 2px;
    background-color: #77a52d;
}
#dropdownMenu {
    position: absolute;
    top: 58px;
    right: -130px;
	box-shadow: 0 2px 3px rgba(0,0,0,.5);
    border-radius: 0 0 0 5px;
    animation-timing-function: ease-out;
}
@keyframes dropdownMenuEntra {
    from {right: -100px}
    to {right: 0}
}
@keyframes dropdownMenuSai {
    from {right: 0}
    to {right: -130px}
}
#dropdownMenu a {
    display: block;
    background-image: linear-gradient(-170deg, #77a52d, #25873B);
    text-align: center;
    color: white;
    padding: 10px 15px;
    text-decoration: none;
    font-size: 20px;
}
#dropdownMenu a:last-child {
    border-radius: 0 0 0 5px;
}

#divTituloPagina {
    padding-top: 48px;
    padding-bottom: 4px;
    background-color: #444444;
    text-align: center;
    color: white;
	font-family: "Trebuchet MS", Helvetica, sans-serif;
}

.imagemBandeira {
    display: none;
}

#divCorpo {
    color: #222222;
	font-family: 'Montserrat', sans-serif;
    font-size: 17px;
}
.divAncora {
    position: relative;
    top: -70px;
}

#divPreviewsServicos {
    margin-left: 10%;
    width: 80%;
}
.divPreviewServico {
    display: block;
    text-align: center;
    margin-bottom: 50px;
    animation-name: aparece;
    animation-duration: 1s;
}
@keyframes aparece {
    from {opacity: 0;}
    to {opacity: 100;}
}
.iconePreviewServico {
    height: 100px;
    cursor: pointer;
    animation-name: desliza;
    animation-duration: 1s;
}
@keyframes desliza {
    from {margin-right: 200px; opacity: 0;}
    to {margin-right: 0; opacity: 100;}
}
.tituloPreviewServico {
    color: #444444;
}

#divServicos {
    margin-left: 2%;
    width: 96%;
}
#divServicos .divServico:not(:last-child) {
    margin-bottom: 70px;
}
#divServicos ul {
    margin-bottom: 0;
}
.divServico {
    display: block;
}
.iconeServico {
    float: left;
    height: 50px;
    margin-right: 20px;
    margin-bottom: 20px;
}
.tituloServico{
    position: relative;
    top: 12px;
}
.descricaoServico {
    display: inline-block;
    margin-left: 0;
    position: relative;
    width: 100%;
}

#divProdutos {
    margin-left: 2%;
    width: 96%;
}

#navLoja {
    padding: 10px;
    padding-bottom: 20px;
    line-height: 3;
}
#navLoja a:not(:first-child) {
    margin-top: 30px;
}

#navCategoriasProdutos a:not(:first-child) {
    margin-top: 10px;
}
.linkCategoriaProdutos {
    display: inline-block;
    white-space: nowrap
}
.grelhaProdutos {
    margin-top: 100px;
    width: 100%;
}
.celulaProduto {
    color: #222222;
    margin-top: 20px;
    box-sizing: border-box;
    padding: 1%;
    padding-top: 3%;
    width: 100%;
    border-bottom: 1px solid grey;
    text-decoration: none;
}
.iconeProduto {
    float: left;
    width: 80px;
    margin-right: 10px;
    margin-bottom: 5px;
}
.nomeProduto {
    position: relative;
    top: -20px;
}
.linkFichaTecnica {
    display: inline-block;
    position: relative;
    top: -20px;
}

#botaoMostrarPainelEncomenda {
    position: fixed;
    right: 12px;
    top: 11vh;
    background-color: #77A52D;
    color: white; 
    border: 0;
    padding: 3px;
    font-size: 100%;
    transition: background-color 0.2s;
    border-radius: 3px;
	box-shadow: 0 2px 3px rgba(0,0,0,.5);
	z-index: 1;
}
#botaoMostrarPainelEncomenda:hover {
    background-color: #25873B;
}
#iconeEncomenda {
    width: 40px;
}

#divPaginaProduto {
    margin-top: 50px;
    margin-left: 5%;
    width: 90%;
}

#painelEncomenda {
    display: none;
    position: fixed;
    float: right;
    width: 60%;
    width: 98%;
    max-height: 70%;
    border-radius: 5px;
    top: 0;
    left: 0;
    right: 0;
    margin: 10% auto;
    padding: 10px;
    padding-top: 0;
    background-color: #fefefe;
    z-index: 2;
    line-height: 2.5;
    overflow: auto;
}
#painelEncomenda h4 {
    text-align: center;
}
.botaoMudaQuantidade {
    font-weight: bold;
    font-size: 18px;
    background-color: #25873B;
    color: white;
    border: 0;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    width: 35px;
    border-radius: 3px;
}
.botaoMudaQuantidade:hover {
    background-color: #77A52D;
}
#botaoVoltarLoja {
    position: relative;
    top: -100px;
}
#paginaProdutoImagem {
    width: 150px;
    display: inline-block;
}

#paginaProdutoPreco {
    color: #25873B;
    border: 2px solid #25873B;
    text-align: center;
    padding: 10px;
    border-radius: 5px;
    font-family: arial;
    line-height: 2;
    display: inline-block;
    float: right;
}

#paginaProdutoDescricaoLonga {
    border-top: 2px solid #dddddd;
    padding-top: 10px;
    border-radius: 6px;
}

#divFundoPopup {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    z-index: 1;
    display: none;
}
#divPopupEncomenda {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 20px;
    width: 400px;
    max-width: 90%;
    margin: 15% auto;
    background-color: #fefefe;
    z-index: 2;
    display: none;
    border-radius: 3px;
}
#inputAdicionarProdutos {
    padding: 8px;
    font-size: 17px;
}

#divPaginaFormularioEncomenda,
#divPaginaFinalizarEncomenda,
#divPaginaFimEncomenda {
    margin-left: auto;
    margin-right: auto;
    width: 90%;
}
#divPaginaFimEncomenda {
    line-height: 2;
}

.listaProdutos {
    font-family: arial;
    width: 600px;
    max-width: 100%;
    line-height: 1.6;
}
.listaProdutosPainel {
    font-family: arial;
    line-height: 1.6;
}
.listaNomeProdPainel {
    font-weight: bold;
    display: inline-block;
    width: 280px;
}
.listaNomeProd {
    font-weight: bold;
    display: inline-block;
    width: 280px;
}
.listaLadoDireito {
    float: right;
}
.listaPrecoUnid {
    display: inline-block;
    text-align: right;
    width: 80px;
}
.listaQuantProd {
    display: inline-block;
    text-align: right;
    width: 20px;
}
.listaPrecoProd {
    display: inline-block;
    text-align: right;
    width: 100px;
}
.listaLabelTotal {
    font-weight: bold;
    display: inline-block;
    width: 434px;
}
.listaValorTotal {
    text-align: right;
    display: inline-block;
    width: 120px;
}
.listaProdutosLinha {
    border-bottom: 2px solid #EEEEEE;
}

#formDadosEncomenda {
	font-family: 'Montserrat', sans-serif;
    font-size: 17px;
    color: black;
    line-height: 3;
}
.inputFormularioEncomenda {
    width: 400px;
    max-width: 95%;
    padding: 8px;
	font-family: 'Montserrat', sans-serif;
    font-size: 17px;
	box-shadow: 1px 2px 3px rgba(0,0,0,.5);
	border-radius: 3px;
	border: 2px solid gray;
}
.inputFormularioEncomenda:hover {
	border: 2px solid black;
}
.labelFormularioEncomenda {
    font-weight: bold;
    margin-top: 10px;
    display: inline-block;
    width: 160px;
}

#listaDadosEncomenda {
	font-family: 'Montserrat', sans-serif;
    line-height: 2;
}
.spanDadosEncomenda {
    font-weight: bold;
    display: inline-block;
    width: 140px;
}
.spanDadosTransferencia {
    font-weight: bold;
    display: inline-block;
    width: 60px;
    color: #25873B;
}
#formConfirmarEncomenda {
    line-height: 2;
}
input[type=checkbox]
{
    border: 3px solid red;
	box-shadow: 0 0 3px rgba(0,0,0,.5);
    transform: scale(1.5);
}

#divSobre {
    margin-left: 5%;
    width: 90%;
}


#divContactos {
    margin-left: 5%;
    width: 90%;
}


#divAdmin {
    color: black;
    font-family: arial;
}
.tabelaAdmin table, 
.tabelaAdmin th,
.tabelaAdmin td {
    border: 1px solid black;
    border-collapse: collapse;
    padding: 5px;
}

.linkInline {
    color: #25873B;
    font-weight: bold;
    text-decoration: none;
}
.linkInline:hover {
    text-decoration: underline;
}
.linkGenerico {
    margin-top: 15px;
    background-color: #77A52D;
    border-bottom: 2px solid #25873B;
    border-radius: 3px;
    color: white;
    padding: 5px 10px 5px 10px;
    text-decoration: none;
}
.linkSelecionado {
    background-color: #25873B;
}
.linkFiltro {
    padding-top: 2px;
    padding-left: 5px;
    padding-right: 5px;
    color: white;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px 5px 0 0;
}
.botaoSubmeter {
    font-size: 100%;
    margin-top: 15px;
    background-color: #77A52D;
    border: 0;
    border-bottom: 2px solid #25873B;
    border-radius: 3px;
    color: white;
    padding: 5px 10px 5px 10px;
}

#botaoVoltar {
    position: fixed;
    bottom: 15px;
    right: -50px;
    width: 40px;
    height: 40px;
    box-sizing: border-box;
    background-color: #77a52d;
	box-shadow: 0 2px 3px rgba(0,0,0,.5);
    border-radius: 3px;
}
#iconeVoltar {
    margin-left: 11px;
    margin-top: 16px;
    width: 0;
    height: 0;
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-bottom: 9px solid white;
}
@keyframes botaoVoltarEntra {
    from {right: -50px}
    to {right: 12px}
}
@keyframes botaoVoltarSai {
    from {right: 12px}
    to {right: -50px}
}
footer {
    margin-top: 30px;
    padding: 2px 54px 2px 2px;
    background-color: #444444;
    color: white;
}



@media screen and (min-width: 1024px) {
    body {
        font-size: 18px;
    }
    header{
        height: 9vh;
        overflow: hidden;
    }
    button{
        cursor: pointer;
    }
    #logoATADIN {
        left: 0.5vh;
        top: 0.5vh;
        width: 8vh;
    }
    .h1Principal {
        font-size: 5vh;
        top: 1.4vh;
        left: 10vh;
    }
    .linkGenerico {
        transition: background-color 0.2s;
    }
    .linkGenerico:hover {
        background-color: #25873B;
    }
    .linkFiltro {
        transition: background-color 0.2s, color 0.2s;
    }
    .linkFiltro:hover {
        color: #444444;
        background-color: white;
    }
    .botaoSubmeter {
        transition: background-color 0.2s;
        font-size: 100%;
        cursor: pointer;
    }
    .botaoSubmeter:hover {
        background-color: #25873B;
    }
    #botaoAbreMenu {
        display: none;
    }
    #dropdownMenu {
        position: absolute;
        top: 2.8vh;
        right: 0;
        float: right;
    	box-shadow: none;
        border-radius: 0;
    }
    #dropdownMenu a {
        margin-left: -0.35vw;
        font-size: 3vh;
        padding: 2.5vh 2vh;
        display: inline;
        background: none;
        border-radius: 0;
        color: #25873B;
        border-left: 1px solid #77a52d;
        transition: background 0.3s, color 0.3s;
    }
    #dropdownMenu a:last-child {
        border-radius: 0;
    }
    #dropdownMenu .botaoNavLigado {
        background: #25873B;
        color: white;
    }
    #dropdownMenu a:hover {
        background: #25873B;
        color: white;
    }
    
    #divTituloPagina {
        padding-top: 9vh;
        padding-bottom: 8px;
    }
    .divTituloComImagem {
        height: 400px;
    }
    .imagemBandeira {
        position: relative;
        top: -250px;
        display: none;
        margin-left: auto;
        margin-right: auto;
        width: 1280;
        max-width: 100%;
        border: 3px solid #444444;
    }
    
    #divCorpo {
        font-size: 100%;
    }
    .divAncora {
        top: -10vh;
    }
    #divPreviewsServicos {
        margin-left: 5%;
        width: 90%;
    }
    .divPreviewServico {
        display: inline-block;
        padding-top: 20px;
        height: 270px;
        margin-left: 50px;
        margin-top: 30px;
        margin-bottom: 0;
        width: 320px;
        max-width: 100%;
        overflow: auto;
    }
    .iconePreviewServico {
        height: 120px;
        transition: transform 0.2s, filter 0.2s;
    }
    .iconePreviewServico:hover {
        transform: scale(1.1);
        filter: brightness(50%);
        filter: drop-shadow(1px 2px 1px rgba(0,0,0,.5));
    }
    
    #divServicos {
        margin-left: 5%;
        width: 70%;
    }
    #divServicos .divServico:not(:last-child) {
        margin-bottom: 110px;
    }
    .iconeServico {
        height: 70px;
        margin-right: 20px;
        margin-bottom: 20px;
    }
    
    #divProdutos {
        margin-left: 2%;
        width: 96%;
    }
    #navCategoriasProdutos a:not(:first-child) {
        margin-top: 0;
        margin-left: 10px;
    }
    .grelhaProdutos {
        margin-top: 150px;
    }
    .celulaProduto {
        margin-right: 10px;
        display: inline-block;
        width: 380px;
        border-bottom: 3px solid #EEEEEE;
        border-left: 3px solid #EEEEEE;
        border-radius: 3px;
    }
    .celulaProduto:hover {
        background-color: white;
        filter: brightness(0.9) saturate(100%);
    }
    .iconeProduto {
        width: 100px;
    }
    .descricaoProduto {
        margin-top:-20px;
        height: 110px;
        overflow: auto;
    }
    #divPaginaProduto {
        width: 70%;
    }
    #paginaProdutoImagem {
        margin-left: 80px;
        width: 200px;
    }

    #paginaProdutoPreco {
        float: right;
        padding: 20px;
        border-radius: 5px;
    }
    
    #iconeEncomenda {
        width: 50px;
    }
    
    #painelEncomenda {
        padding: 15px;
        padding-top: 0;
        border-radius: 10px;
        width: 50%;
    }
    
    #divPopupEncomenda {
        padding: 30px;
        border-radius: 10px;
    }
    
    #divPaginaFormularioEncomenda,
    #divPaginaFinalizarEncomenda,
    #divPaginaFimEncomenda {
        margin-top: 50px;
        padding-left: 30px;
        padding-bottom: 30px;
        width: 800px;
        margin-left: 100px;
        border-bottom: 3px solid #dddddd;
        border-left: 3px solid #dddddd;
        border-radius: 6px;
    }
    
    #divSobre {
        margin-left: 5%;
        width: 70%;
    }
    
    #botaoVoltar {
        width: 48px;
        height: 48px;
        transition: background-color 0.2s;
    }
    #botaoVoltar:hover {
        background-color: #25873B;
    }
    #iconeVoltar {
        margin-left: 13px;
        margin-top: 19px;
        width: 0;
        height: 0;
        border-left: 11px solid transparent;
        border-right: 11px solid transparent;
        border-bottom: 11px solid white;
    }
    
    footer {
        padding: 6px 52px 6px 6px;
    }
    
}